<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.15"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>AlexaClientSDK: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="avs-logo.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">AlexaClientSDK
   &#160;<span id="projectnumber">1.13.0</span>
   </div>
   <div id="projectbrief">A cross-platform, modular SDK for interacting with the Alexa Voice Service</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.15 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacealexa_client_s_d_k.html">alexaClientSDK</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd.html">kwd</a></li><li class="navelem"><a class="el" href="namespacealexa_client_s_d_k_1_1kwd_1_1test.html">test</a></li><li class="navelem"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_mock_key_word_detector.html">MockKeyWordDetector</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">alexaClientSDK::kwd::test::MockKeyWordDetector Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_mock_key_word_detector.html">alexaClientSDK::kwd::test::MockKeyWordDetector</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#a98252884637ff2246ece0ea59b4e8396">AbstractKeywordDetector</a>(std::unordered_set&lt; std::shared_ptr&lt; avsCommon::sdkInterfaces::KeyWordObserverInterface &gt;&gt; keyWordObservers=std::unordered_set&lt; std::shared_ptr&lt; avsCommon::sdkInterfaces::KeyWordObserverInterface &gt;&gt;(), std::unordered_set&lt; std::shared_ptr&lt; avsCommon::sdkInterfaces::KeyWordDetectorStateObserverInterface &gt;&gt; keyWordDetectorStateObservers=std::unordered_set&lt; std::shared_ptr&lt; avsCommon::sdkInterfaces::KeyWordDetectorStateObserverInterface &gt;&gt;())</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html">alexaClientSDK::kwd::AbstractKeywordDetector</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#a5a230b155d503745874e3c8ffd899b9d">addKeyWordDetectorStateObserver</a>(std::shared_ptr&lt; avsCommon::sdkInterfaces::KeyWordDetectorStateObserverInterface &gt; keyWordDetectorStateObserver)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html">alexaClientSDK::kwd::AbstractKeywordDetector</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#a1a9cc2ed3fb633520d9acc8a8b6556ab">addKeyWordObserver</a>(std::shared_ptr&lt; avsCommon::sdkInterfaces::KeyWordObserverInterface &gt; keyWordObserver)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html">alexaClientSDK::kwd::AbstractKeywordDetector</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#a551aa63df26601c02ebc941422d8413a">isByteswappingRequired</a>(avsCommon::utils::AudioFormat audioFormat)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html">alexaClientSDK::kwd::AbstractKeywordDetector</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#a6d441867552906f2d40bfdb338056ee0">notifyKeyWordDetectorStateObservers</a>(avsCommon::sdkInterfaces::KeyWordDetectorStateObserverInterface::KeyWordDetectorState state)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html">alexaClientSDK::kwd::AbstractKeywordDetector</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#a6f0c847c62d5842c96144a15b7bf832b">notifyKeyWordObservers</a>(std::shared_ptr&lt; avsCommon::avs::AudioInputStream &gt; stream, std::string keyword, avsCommon::avs::AudioInputStream::Index beginIndex, avsCommon::avs::AudioInputStream::Index endIndex, std::shared_ptr&lt; const std::vector&lt; char &gt;&gt; KWDMetadata=nullptr) const</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html">alexaClientSDK::kwd::AbstractKeywordDetector</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#a4771c4228862639ee8f274b622b2c8ef">readFromStream</a>(std::shared_ptr&lt; avsCommon::avs::AudioInputStream::Reader &gt; reader, std::shared_ptr&lt; avsCommon::avs::AudioInputStream &gt; stream, void *buf, size_t nWords, std::chrono::milliseconds timeout, bool *errorOccurred)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html">alexaClientSDK::kwd::AbstractKeywordDetector</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#a79ec4a7988562f95bd7ce5c244306c46">removeKeyWordDetectorStateObserver</a>(std::shared_ptr&lt; avsCommon::sdkInterfaces::KeyWordDetectorStateObserverInterface &gt; keyWordDetectorStateObserver)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html">alexaClientSDK::kwd::AbstractKeywordDetector</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#aa78f5db89d60194bc1bd3f4df75c3343">removeKeyWordObserver</a>(std::shared_ptr&lt; avsCommon::sdkInterfaces::KeyWordObserverInterface &gt; keyWordObserver)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html">alexaClientSDK::kwd::AbstractKeywordDetector</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_mock_key_word_detector.html#a1af30c27371fddc81dd344953edb7f8a">sendKeyWordCallToObservers</a>()</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_mock_key_word_detector.html">alexaClientSDK::kwd::test::MockKeyWordDetector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_mock_key_word_detector.html#af4a26b9c069fc4c8d4b2ec218e2293c6">sendStateChangeCallObservers</a>(avsCommon::sdkInterfaces::KeyWordDetectorStateObserverInterface::KeyWordDetectorState state)</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1test_1_1_mock_key_word_detector.html">alexaClientSDK::kwd::test::MockKeyWordDetector</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html#aa2519a962528142a2fa3a1d3eff606b4">~AbstractKeywordDetector</a>()=default</td><td class="entry"><a class="el" href="classalexa_client_s_d_k_1_1kwd_1_1_abstract_keyword_detector.html">alexaClientSDK::kwd::AbstractKeywordDetector</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<html>
  <body>
    <p style="text-align:left;">
      AlexaClientSDK 1.13.0 - Copyright 2016-2019 Amazon.com, Inc. or its affiliates. All Rights Reserved.
      <span style="float:right;">
	Licensed under the <a HREF=http://aws.amazon.com/apache2.0/>Apache License, Version 2.0</a>
      </span>
    </p>
  </body>
</html>
